Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Permissions

This contains the APIs related to permissions

List Permissions

get

Get all permissions in a scope or all permissions in the system

Query parameters
accountIdentifierstring · min: 1 · max: 2147483647Required

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

scopeFilterDisabledbooleanOptional

This is to enable or disable filtering by scope. The default value is false. If the value is true, all the permissions in the system are fetched.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/permissions
GET /gateway/authz/api/permissions?accountIdentifier=text HTTP/1.1
Host: access-control-79894d6ccb-ltplk
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

List Resource Types

get

Get all resource types for permissions in a scope or in the system.

Query parameters
accountIdentifierstring · min: 1 · max: 2147483647Required

Account Identifier for the Entity.

orgIdentifierstringOptional

Organization Identifier for the Entity.

projectIdentifierstringOptional

Project Identifier for the Entity.

scopeFilterDisabledbooleanOptional

This is to enable or disable filtering by scope. The default value is false. If the value is true, all the permissions in the system are fetched.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/permissions/resourcetypes
GET /gateway/authz/api/permissions/resourcetypes?accountIdentifier=text HTTP/1.1
Host: access-control-79894d6ccb-ltplk
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?